<?php
/*
Plugin Name: 診断コンテンツジェネレータ
Description: A plugin to create and manage diagnostic quizzes.
Author: 株式会社ウェブ企画パートナーズ
Version: 1.0
*/

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

define( 'DIAGNOSTIC_TOOL_VERSION', '1.0' );
define( 'DIAGNOSTIC_TOOL_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );

// Include admin functionality
require_once DIAGNOSTIC_TOOL_PLUGIN_DIR . 'admin/admin-page.php';
require_once DIAGNOSTIC_TOOL_PLUGIN_DIR . 'admin/diagnostic-functions.php';
require_once DIAGNOSTIC_TOOL_PLUGIN_DIR . 'admin/manage-questions.php';

// Include public functionality
require_once DIAGNOSTIC_TOOL_PLUGIN_DIR . 'public/display-quiz.php';
require_once DIAGNOSTIC_TOOL_PLUGIN_DIR . 'public/shortcode.php';

// Activation and deactivation hooks
register_activation_hook( __FILE__, 'diagnostic_tool_activate' );
register_deactivation_hook( __FILE__, 'diagnostic_tool_deactivate' );

function diagnostic_tool_activate() {
    diagnostic_tool_create_tables();
}

function diagnostic_tool_deactivate() {
    // Optional: Clean up on deactivation.
}
